1. Packages
  2. Gcore Provider
  3. API Docs
  4. getCloudInstances
Viewing docs for gcore 2.0.0-alpha.3
published on Monday, Mar 30, 2026 by g-core
Viewing docs for gcore 2.0.0-alpha.3
published on Monday, Mar 30, 2026 by g-core

    Instances are cloud virtual machines with configurable CPU, memory, storage, and networking, supporting various operating systems and workloads.

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as gcore from "@pulumi/gcore";
    
    const exampleCloudInstances = gcore.getCloudInstances({
        projectId: 1,
        regionId: 1,
        availableFloating: true,
        changesBefore: "2025-10-01T12:00:00Z",
        changesSince: "2025-10-01T12:00:00Z",
        excludeFlavorPrefix: "g1-",
        excludeSecgroup: "secgroup_name",
        flavorId: "g2-standard-32-64",
        flavorPrefix: "g2-",
        ip: "192.168.0.1",
        name: "name",
        onlyWithFixedExternalIp: true,
        profileName: "profile_name",
        protectionStatus: "Active",
        status: "ACTIVE",
        tagKeyValue: "tag_key_value",
        tagValues: [
            "value1",
            "value2",
        ],
        typeDdosProfile: "advanced",
        uuid: "b5b4d65d-945f-4b98-ab6f-332319c724ef",
    });
    
    import pulumi
    import pulumi_gcore as gcore
    
    example_cloud_instances = gcore.get_cloud_instances(project_id=1,
        region_id=1,
        available_floating=True,
        changes_before="2025-10-01T12:00:00Z",
        changes_since="2025-10-01T12:00:00Z",
        exclude_flavor_prefix="g1-",
        exclude_secgroup="secgroup_name",
        flavor_id="g2-standard-32-64",
        flavor_prefix="g2-",
        ip="192.168.0.1",
        name="name",
        only_with_fixed_external_ip=True,
        profile_name="profile_name",
        protection_status="Active",
        status="ACTIVE",
        tag_key_value="tag_key_value",
        tag_values=[
            "value1",
            "value2",
        ],
        type_ddos_profile="advanced",
        uuid="b5b4d65d-945f-4b98-ab6f-332319c724ef")
    
    package main
    
    import (
    	"github.com/pulumi/pulumi-terraform-provider/sdks/go/gcore/v2/gcore"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := gcore.GetCloudInstances(ctx, &gcore.GetCloudInstancesArgs{
    			ProjectId:               pulumi.Float64Ref(1),
    			RegionId:                pulumi.Float64Ref(1),
    			AvailableFloating:       pulumi.BoolRef(true),
    			ChangesBefore:           pulumi.StringRef("2025-10-01T12:00:00Z"),
    			ChangesSince:            pulumi.StringRef("2025-10-01T12:00:00Z"),
    			ExcludeFlavorPrefix:     pulumi.StringRef("g1-"),
    			ExcludeSecgroup:         pulumi.StringRef("secgroup_name"),
    			FlavorId:                pulumi.StringRef("g2-standard-32-64"),
    			FlavorPrefix:            pulumi.StringRef("g2-"),
    			Ip:                      pulumi.StringRef("192.168.0.1"),
    			Name:                    pulumi.StringRef("name"),
    			OnlyWithFixedExternalIp: pulumi.BoolRef(true),
    			ProfileName:             pulumi.StringRef("profile_name"),
    			ProtectionStatus:        pulumi.StringRef("Active"),
    			Status:                  pulumi.StringRef("ACTIVE"),
    			TagKeyValue:             pulumi.StringRef("tag_key_value"),
    			TagValues: []string{
    				"value1",
    				"value2",
    			},
    			TypeDdosProfile: pulumi.StringRef("advanced"),
    			Uuid:            pulumi.StringRef("b5b4d65d-945f-4b98-ab6f-332319c724ef"),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Gcore = Pulumi.Gcore;
    
    return await Deployment.RunAsync(() => 
    {
        var exampleCloudInstances = Gcore.GetCloudInstances.Invoke(new()
        {
            ProjectId = 1,
            RegionId = 1,
            AvailableFloating = true,
            ChangesBefore = "2025-10-01T12:00:00Z",
            ChangesSince = "2025-10-01T12:00:00Z",
            ExcludeFlavorPrefix = "g1-",
            ExcludeSecgroup = "secgroup_name",
            FlavorId = "g2-standard-32-64",
            FlavorPrefix = "g2-",
            Ip = "192.168.0.1",
            Name = "name",
            OnlyWithFixedExternalIp = true,
            ProfileName = "profile_name",
            ProtectionStatus = "Active",
            Status = "ACTIVE",
            TagKeyValue = "tag_key_value",
            TagValues = new[]
            {
                "value1",
                "value2",
            },
            TypeDdosProfile = "advanced",
            Uuid = "b5b4d65d-945f-4b98-ab6f-332319c724ef",
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.gcore.GcoreFunctions;
    import com.pulumi.gcore.inputs.GetCloudInstancesArgs;
    import java.util.List;
    import java.util.ArrayList;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            final var exampleCloudInstances = GcoreFunctions.getCloudInstances(GetCloudInstancesArgs.builder()
                .projectId(1)
                .regionId(1)
                .availableFloating(true)
                .changesBefore("2025-10-01T12:00:00Z")
                .changesSince("2025-10-01T12:00:00Z")
                .excludeFlavorPrefix("g1-")
                .excludeSecgroup("secgroup_name")
                .flavorId("g2-standard-32-64")
                .flavorPrefix("g2-")
                .ip("192.168.0.1")
                .name("name")
                .onlyWithFixedExternalIp(true)
                .profileName("profile_name")
                .protectionStatus("Active")
                .status("ACTIVE")
                .tagKeyValue("tag_key_value")
                .tagValues(            
                    "value1",
                    "value2")
                .typeDdosProfile("advanced")
                .uuid("b5b4d65d-945f-4b98-ab6f-332319c724ef")
                .build());
    
        }
    }
    
    variables:
      exampleCloudInstances:
        fn::invoke:
          function: gcore:getCloudInstances
          arguments:
            projectId: 1
            regionId: 1
            availableFloating: true
            changesBefore: 2025-10-01T12:00:00Z
            changesSince: 2025-10-01T12:00:00Z
            excludeFlavorPrefix: g1-
            excludeSecgroup: secgroup_name
            flavorId: g2-standard-32-64
            flavorPrefix: g2-
            ip: 192.168.0.1
            name: name
            onlyWithFixedExternalIp: true
            profileName: profile_name
            protectionStatus: Active
            status: ACTIVE
            tagKeyValue: tag_key_value
            tagValues:
              - value1
              - value2
            typeDdosProfile: advanced
            uuid: b5b4d65d-945f-4b98-ab6f-332319c724ef
    

    Using getCloudInstances

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getCloudInstances(args: GetCloudInstancesArgs, opts?: InvokeOptions): Promise<GetCloudInstancesResult>
    function getCloudInstancesOutput(args: GetCloudInstancesOutputArgs, opts?: InvokeOptions): Output<GetCloudInstancesResult>
    def get_cloud_instances(available_floating: Optional[bool] = None,
                            changes_before: Optional[str] = None,
                            changes_since: Optional[str] = None,
                            exclude_flavor_prefix: Optional[str] = None,
                            exclude_secgroup: Optional[str] = None,
                            flavor_id: Optional[str] = None,
                            flavor_prefix: Optional[str] = None,
                            include_ai: Optional[bool] = None,
                            include_baremetal: Optional[bool] = None,
                            include_k8s: Optional[bool] = None,
                            ip: Optional[str] = None,
                            max_items: Optional[float] = None,
                            name: Optional[str] = None,
                            only_isolated: Optional[bool] = None,
                            only_with_fixed_external_ip: Optional[bool] = None,
                            order_by: Optional[str] = None,
                            profile_name: Optional[str] = None,
                            project_id: Optional[float] = None,
                            protection_status: Optional[str] = None,
                            region_id: Optional[float] = None,
                            status: Optional[str] = None,
                            tag_key_value: Optional[str] = None,
                            tag_values: Optional[Sequence[str]] = None,
                            type_ddos_profile: Optional[str] = None,
                            uuid: Optional[str] = None,
                            with_ddos: Optional[bool] = None,
                            with_interfaces_name: Optional[bool] = None,
                            opts: Optional[InvokeOptions] = None) -> GetCloudInstancesResult
    def get_cloud_instances_output(available_floating: Optional[pulumi.Input[bool]] = None,
                            changes_before: Optional[pulumi.Input[str]] = None,
                            changes_since: Optional[pulumi.Input[str]] = None,
                            exclude_flavor_prefix: Optional[pulumi.Input[str]] = None,
                            exclude_secgroup: Optional[pulumi.Input[str]] = None,
                            flavor_id: Optional[pulumi.Input[str]] = None,
                            flavor_prefix: Optional[pulumi.Input[str]] = None,
                            include_ai: Optional[pulumi.Input[bool]] = None,
                            include_baremetal: Optional[pulumi.Input[bool]] = None,
                            include_k8s: Optional[pulumi.Input[bool]] = None,
                            ip: Optional[pulumi.Input[str]] = None,
                            max_items: Optional[pulumi.Input[float]] = None,
                            name: Optional[pulumi.Input[str]] = None,
                            only_isolated: Optional[pulumi.Input[bool]] = None,
                            only_with_fixed_external_ip: Optional[pulumi.Input[bool]] = None,
                            order_by: Optional[pulumi.Input[str]] = None,
                            profile_name: Optional[pulumi.Input[str]] = None,
                            project_id: Optional[pulumi.Input[float]] = None,
                            protection_status: Optional[pulumi.Input[str]] = None,
                            region_id: Optional[pulumi.Input[float]] = None,
                            status: Optional[pulumi.Input[str]] = None,
                            tag_key_value: Optional[pulumi.Input[str]] = None,
                            tag_values: Optional[pulumi.Input[Sequence[pulumi.Input[str]]]] = None,
                            type_ddos_profile: Optional[pulumi.Input[str]] = None,
                            uuid: Optional[pulumi.Input[str]] = None,
                            with_ddos: Optional[pulumi.Input[bool]] = None,
                            with_interfaces_name: Optional[pulumi.Input[bool]] = None,
                            opts: Optional[InvokeOptions] = None) -> Output[GetCloudInstancesResult]
    func GetCloudInstances(ctx *Context, args *GetCloudInstancesArgs, opts ...InvokeOption) (*GetCloudInstancesResult, error)
    func GetCloudInstancesOutput(ctx *Context, args *GetCloudInstancesOutputArgs, opts ...InvokeOption) GetCloudInstancesResultOutput

    > Note: This function is named GetCloudInstances in the Go SDK.

    public static class GetCloudInstances 
    {
        public static Task<GetCloudInstancesResult> InvokeAsync(GetCloudInstancesArgs args, InvokeOptions? opts = null)
        public static Output<GetCloudInstancesResult> Invoke(GetCloudInstancesInvokeArgs args, InvokeOptions? opts = null)
    }
    public static CompletableFuture<GetCloudInstancesResult> getCloudInstances(GetCloudInstancesArgs args, InvokeOptions options)
    public static Output<GetCloudInstancesResult> getCloudInstances(GetCloudInstancesArgs args, InvokeOptions options)
    
    fn::invoke:
      function: gcore:index/getCloudInstances:getCloudInstances
      arguments:
        # arguments dictionary

    The following arguments are supported:

    AvailableFloating bool
    Only show instances which are able to handle floating address
    ChangesBefore string
    Filters the instances by a date and time stamp when the instances last changed.
    ChangesSince string
    Filters the instances by a date and time stamp when the instances last changed status.
    ExcludeFlavorPrefix string
    Exclude instances with specified flavor prefix
    ExcludeSecgroup string
    Exclude instances with specified security group name
    FlavorId string
    Filter out instances by flavor_id. Flavor id must match exactly.
    FlavorPrefix string
    Filter out instances by flavor_prefix.
    IncludeAi bool
    Include GPU clusters' servers

    Deprecated: Deprecated

    IncludeBaremetal bool
    Include bare metal servers. Please, use GET /v1/bminstances/ instead

    Deprecated: Deprecated

    IncludeK8s bool
    Include managed k8s worker nodes
    Ip string
    An IPv4 address to filter results by. Note: partial matches are allowed. For example, searching for 192.168.0.1 will return 192.168.0.1, 192.168.0.10, 192.168.0.110, and so on.
    MaxItems double
    Max items to fetch, default: 1000
    Name string
    Filter instances by name. You can provide a full or partial name, instances with matching names will be returned. For example, entering 'test' will return all instances that contain 'test' in their name.
    OnlyIsolated bool
    Include only isolated instances
    OnlyWithFixedExternalIp bool
    Return bare metals only with external fixed IP addresses.
    OrderBy string
    Order by field and direction. Available values: "created.asc", "created.desc", "name.asc", "name.desc", "status.asc", "status.desc".
    ProfileName string
    Filter result by ddos protection profile name. Effective only with with_ddos set to true.
    ProjectId double
    Project ID
    ProtectionStatus string
    Filter result by DDoS protection_status. if parameter is provided. Effective only with with_ddos set to true. (Active, Queued or Error) Available values: "Active", "Queued", "Error".
    RegionId double
    Region ID
    Status string
    Filters instances by status. Available values: "ACTIVE", "BUILD", "ERROR", "HARDREBOOT", "MIGRATING", "PAUSED", "REBOOT", "REBUILD", "RESIZE", "REVERTRESIZE", "SHELVED", "SHELVEDOFFLOADED", "SHUTOFF", "SOFTDELETED", "SUSPENDED", "VERIFY_RESIZE".
    TagKeyValue string
    Optional. Filter by tag key-value pairs.
    TagValues List<string>
    Optional. Filter by tag values. ?tag_value=value1&tag_value=value2
    TypeDdosProfile string
    Return bare metals either only with advanced or only basic DDoS protection. Effective only with with_ddos set to true. (advanced or basic) Available values: "basic", "advanced".
    Uuid string
    Filter the server list result by the UUID of the server. Allowed UUID part
    WithDdos bool
    Include DDoS profile information in the response when set to true. Otherwise, the ddos_profile field in the response is null by default.
    WithInterfacesName bool
    Include interface_name in the addresses
    AvailableFloating bool
    Only show instances which are able to handle floating address
    ChangesBefore string
    Filters the instances by a date and time stamp when the instances last changed.
    ChangesSince string
    Filters the instances by a date and time stamp when the instances last changed status.
    ExcludeFlavorPrefix string
    Exclude instances with specified flavor prefix
    ExcludeSecgroup string
    Exclude instances with specified security group name
    FlavorId string
    Filter out instances by flavor_id. Flavor id must match exactly.
    FlavorPrefix string
    Filter out instances by flavor_prefix.
    IncludeAi bool
    Include GPU clusters' servers

    Deprecated: Deprecated

    IncludeBaremetal bool
    Include bare metal servers. Please, use GET /v1/bminstances/ instead

    Deprecated: Deprecated

    IncludeK8s bool
    Include managed k8s worker nodes
    Ip string
    An IPv4 address to filter results by. Note: partial matches are allowed. For example, searching for 192.168.0.1 will return 192.168.0.1, 192.168.0.10, 192.168.0.110, and so on.
    MaxItems float64
    Max items to fetch, default: 1000
    Name string
    Filter instances by name. You can provide a full or partial name, instances with matching names will be returned. For example, entering 'test' will return all instances that contain 'test' in their name.
    OnlyIsolated bool
    Include only isolated instances
    OnlyWithFixedExternalIp bool
    Return bare metals only with external fixed IP addresses.
    OrderBy string
    Order by field and direction. Available values: "created.asc", "created.desc", "name.asc", "name.desc", "status.asc", "status.desc".
    ProfileName string
    Filter result by ddos protection profile name. Effective only with with_ddos set to true.
    ProjectId float64
    Project ID
    ProtectionStatus string
    Filter result by DDoS protection_status. if parameter is provided. Effective only with with_ddos set to true. (Active, Queued or Error) Available values: "Active", "Queued", "Error".
    RegionId float64
    Region ID
    Status string
    Filters instances by status. Available values: "ACTIVE", "BUILD", "ERROR", "HARDREBOOT", "MIGRATING", "PAUSED", "REBOOT", "REBUILD", "RESIZE", "REVERTRESIZE", "SHELVED", "SHELVEDOFFLOADED", "SHUTOFF", "SOFTDELETED", "SUSPENDED", "VERIFY_RESIZE".
    TagKeyValue string
    Optional. Filter by tag key-value pairs.
    TagValues []string
    Optional. Filter by tag values. ?tag_value=value1&tag_value=value2
    TypeDdosProfile string
    Return bare metals either only with advanced or only basic DDoS protection. Effective only with with_ddos set to true. (advanced or basic) Available values: "basic", "advanced".
    Uuid string
    Filter the server list result by the UUID of the server. Allowed UUID part
    WithDdos bool
    Include DDoS profile information in the response when set to true. Otherwise, the ddos_profile field in the response is null by default.
    WithInterfacesName bool
    Include interface_name in the addresses
    availableFloating Boolean
    Only show instances which are able to handle floating address
    changesBefore String
    Filters the instances by a date and time stamp when the instances last changed.
    changesSince String
    Filters the instances by a date and time stamp when the instances last changed status.
    excludeFlavorPrefix String
    Exclude instances with specified flavor prefix
    excludeSecgroup String
    Exclude instances with specified security group name
    flavorId String
    Filter out instances by flavor_id. Flavor id must match exactly.
    flavorPrefix String
    Filter out instances by flavor_prefix.
    includeAi Boolean
    Include GPU clusters' servers

    Deprecated: Deprecated

    includeBaremetal Boolean
    Include bare metal servers. Please, use GET /v1/bminstances/ instead

    Deprecated: Deprecated

    includeK8s Boolean
    Include managed k8s worker nodes
    ip String
    An IPv4 address to filter results by. Note: partial matches are allowed. For example, searching for 192.168.0.1 will return 192.168.0.1, 192.168.0.10, 192.168.0.110, and so on.
    maxItems Double
    Max items to fetch, default: 1000
    name String
    Filter instances by name. You can provide a full or partial name, instances with matching names will be returned. For example, entering 'test' will return all instances that contain 'test' in their name.
    onlyIsolated Boolean
    Include only isolated instances
    onlyWithFixedExternalIp Boolean
    Return bare metals only with external fixed IP addresses.
    orderBy String
    Order by field and direction. Available values: "created.asc", "created.desc", "name.asc", "name.desc", "status.asc", "status.desc".
    profileName String
    Filter result by ddos protection profile name. Effective only with with_ddos set to true.
    projectId Double
    Project ID
    protectionStatus String
    Filter result by DDoS protection_status. if parameter is provided. Effective only with with_ddos set to true. (Active, Queued or Error) Available values: "Active", "Queued", "Error".
    regionId Double
    Region ID
    status String
    Filters instances by status. Available values: "ACTIVE", "BUILD", "ERROR", "HARDREBOOT", "MIGRATING", "PAUSED", "REBOOT", "REBUILD", "RESIZE", "REVERTRESIZE", "SHELVED", "SHELVEDOFFLOADED", "SHUTOFF", "SOFTDELETED", "SUSPENDED", "VERIFY_RESIZE".
    tagKeyValue String
    Optional. Filter by tag key-value pairs.
    tagValues List<String>
    Optional. Filter by tag values. ?tag_value=value1&tag_value=value2
    typeDdosProfile String
    Return bare metals either only with advanced or only basic DDoS protection. Effective only with with_ddos set to true. (advanced or basic) Available values: "basic", "advanced".
    uuid String
    Filter the server list result by the UUID of the server. Allowed UUID part
    withDdos Boolean
    Include DDoS profile information in the response when set to true. Otherwise, the ddos_profile field in the response is null by default.
    withInterfacesName Boolean
    Include interface_name in the addresses
    availableFloating boolean
    Only show instances which are able to handle floating address
    changesBefore string
    Filters the instances by a date and time stamp when the instances last changed.
    changesSince string
    Filters the instances by a date and time stamp when the instances last changed status.
    excludeFlavorPrefix string
    Exclude instances with specified flavor prefix
    excludeSecgroup string
    Exclude instances with specified security group name
    flavorId string
    Filter out instances by flavor_id. Flavor id must match exactly.
    flavorPrefix string
    Filter out instances by flavor_prefix.
    includeAi boolean
    Include GPU clusters' servers

    Deprecated: Deprecated

    includeBaremetal boolean
    Include bare metal servers. Please, use GET /v1/bminstances/ instead

    Deprecated: Deprecated

    includeK8s boolean
    Include managed k8s worker nodes
    ip string
    An IPv4 address to filter results by. Note: partial matches are allowed. For example, searching for 192.168.0.1 will return 192.168.0.1, 192.168.0.10, 192.168.0.110, and so on.
    maxItems number
    Max items to fetch, default: 1000
    name string
    Filter instances by name. You can provide a full or partial name, instances with matching names will be returned. For example, entering 'test' will return all instances that contain 'test' in their name.
    onlyIsolated boolean
    Include only isolated instances
    onlyWithFixedExternalIp boolean
    Return bare metals only with external fixed IP addresses.
    orderBy string
    Order by field and direction. Available values: "created.asc", "created.desc", "name.asc", "name.desc", "status.asc", "status.desc".
    profileName string
    Filter result by ddos protection profile name. Effective only with with_ddos set to true.
    projectId number
    Project ID
    protectionStatus string
    Filter result by DDoS protection_status. if parameter is provided. Effective only with with_ddos set to true. (Active, Queued or Error) Available values: "Active", "Queued", "Error".
    regionId number
    Region ID
    status string
    Filters instances by status. Available values: "ACTIVE", "BUILD", "ERROR", "HARDREBOOT", "MIGRATING", "PAUSED", "REBOOT", "REBUILD", "RESIZE", "REVERTRESIZE", "SHELVED", "SHELVEDOFFLOADED", "SHUTOFF", "SOFTDELETED", "SUSPENDED", "VERIFY_RESIZE".
    tagKeyValue string
    Optional. Filter by tag key-value pairs.
    tagValues string[]
    Optional. Filter by tag values. ?tag_value=value1&tag_value=value2
    typeDdosProfile string
    Return bare metals either only with advanced or only basic DDoS protection. Effective only with with_ddos set to true. (advanced or basic) Available values: "basic", "advanced".
    uuid string
    Filter the server list result by the UUID of the server. Allowed UUID part
    withDdos boolean
    Include DDoS profile information in the response when set to true. Otherwise, the ddos_profile field in the response is null by default.
    withInterfacesName boolean
    Include interface_name in the addresses
    available_floating bool
    Only show instances which are able to handle floating address
    changes_before str
    Filters the instances by a date and time stamp when the instances last changed.
    changes_since str
    Filters the instances by a date and time stamp when the instances last changed status.
    exclude_flavor_prefix str
    Exclude instances with specified flavor prefix
    exclude_secgroup str
    Exclude instances with specified security group name
    flavor_id str
    Filter out instances by flavor_id. Flavor id must match exactly.
    flavor_prefix str
    Filter out instances by flavor_prefix.
    include_ai bool
    Include GPU clusters' servers

    Deprecated: Deprecated

    include_baremetal bool
    Include bare metal servers. Please, use GET /v1/bminstances/ instead

    Deprecated: Deprecated

    include_k8s bool
    Include managed k8s worker nodes
    ip str
    An IPv4 address to filter results by. Note: partial matches are allowed. For example, searching for 192.168.0.1 will return 192.168.0.1, 192.168.0.10, 192.168.0.110, and so on.
    max_items float
    Max items to fetch, default: 1000
    name str
    Filter instances by name. You can provide a full or partial name, instances with matching names will be returned. For example, entering 'test' will return all instances that contain 'test' in their name.
    only_isolated bool
    Include only isolated instances
    only_with_fixed_external_ip bool
    Return bare metals only with external fixed IP addresses.
    order_by str
    Order by field and direction. Available values: "created.asc", "created.desc", "name.asc", "name.desc", "status.asc", "status.desc".
    profile_name str
    Filter result by ddos protection profile name. Effective only with with_ddos set to true.
    project_id float
    Project ID
    protection_status str
    Filter result by DDoS protection_status. if parameter is provided. Effective only with with_ddos set to true. (Active, Queued or Error) Available values: "Active", "Queued", "Error".
    region_id float
    Region ID
    status str
    Filters instances by status. Available values: "ACTIVE", "BUILD", "ERROR", "HARDREBOOT", "MIGRATING", "PAUSED", "REBOOT", "REBUILD", "RESIZE", "REVERTRESIZE", "SHELVED", "SHELVEDOFFLOADED", "SHUTOFF", "SOFTDELETED", "SUSPENDED", "VERIFY_RESIZE".
    tag_key_value str
    Optional. Filter by tag key-value pairs.
    tag_values Sequence[str]
    Optional. Filter by tag values. ?tag_value=value1&tag_value=value2
    type_ddos_profile str
    Return bare metals either only with advanced or only basic DDoS protection. Effective only with with_ddos set to true. (advanced or basic) Available values: "basic", "advanced".
    uuid str
    Filter the server list result by the UUID of the server. Allowed UUID part
    with_ddos bool
    Include DDoS profile information in the response when set to true. Otherwise, the ddos_profile field in the response is null by default.
    with_interfaces_name bool
    Include interface_name in the addresses
    availableFloating Boolean
    Only show instances which are able to handle floating address
    changesBefore String
    Filters the instances by a date and time stamp when the instances last changed.
    changesSince String
    Filters the instances by a date and time stamp when the instances last changed status.
    excludeFlavorPrefix String
    Exclude instances with specified flavor prefix
    excludeSecgroup String
    Exclude instances with specified security group name
    flavorId String
    Filter out instances by flavor_id. Flavor id must match exactly.
    flavorPrefix String
    Filter out instances by flavor_prefix.
    includeAi Boolean
    Include GPU clusters' servers

    Deprecated: Deprecated

    includeBaremetal Boolean
    Include bare metal servers. Please, use GET /v1/bminstances/ instead

    Deprecated: Deprecated

    includeK8s Boolean
    Include managed k8s worker nodes
    ip String
    An IPv4 address to filter results by. Note: partial matches are allowed. For example, searching for 192.168.0.1 will return 192.168.0.1, 192.168.0.10, 192.168.0.110, and so on.
    maxItems Number
    Max items to fetch, default: 1000
    name String
    Filter instances by name. You can provide a full or partial name, instances with matching names will be returned. For example, entering 'test' will return all instances that contain 'test' in their name.
    onlyIsolated Boolean
    Include only isolated instances
    onlyWithFixedExternalIp Boolean
    Return bare metals only with external fixed IP addresses.
    orderBy String
    Order by field and direction. Available values: "created.asc", "created.desc", "name.asc", "name.desc", "status.asc", "status.desc".
    profileName String
    Filter result by ddos protection profile name. Effective only with with_ddos set to true.
    projectId Number
    Project ID
    protectionStatus String
    Filter result by DDoS protection_status. if parameter is provided. Effective only with with_ddos set to true. (Active, Queued or Error) Available values: "Active", "Queued", "Error".
    regionId Number
    Region ID
    status String
    Filters instances by status. Available values: "ACTIVE", "BUILD", "ERROR", "HARDREBOOT", "MIGRATING", "PAUSED", "REBOOT", "REBUILD", "RESIZE", "REVERTRESIZE", "SHELVED", "SHELVEDOFFLOADED", "SHUTOFF", "SOFTDELETED", "SUSPENDED", "VERIFY_RESIZE".
    tagKeyValue String
    Optional. Filter by tag key-value pairs.
    tagValues List<String>
    Optional. Filter by tag values. ?tag_value=value1&tag_value=value2
    typeDdosProfile String
    Return bare metals either only with advanced or only basic DDoS protection. Effective only with with_ddos set to true. (advanced or basic) Available values: "basic", "advanced".
    uuid String
    Filter the server list result by the UUID of the server. Allowed UUID part
    withDdos Boolean
    Include DDoS profile information in the response when set to true. Otherwise, the ddos_profile field in the response is null by default.
    withInterfacesName Boolean
    Include interface_name in the addresses

    getCloudInstances Result

    The following output properties are available:

    Id string
    The provider-assigned unique ID for this managed resource.
    IncludeAi bool
    Include GPU clusters' servers

    Deprecated: Deprecated

    IncludeBaremetal bool
    Include bare metal servers. Please, use GET /v1/bminstances/ instead

    Deprecated: Deprecated

    IncludeK8s bool
    Include managed k8s worker nodes
    Items List<GetCloudInstancesItem>
    The items returned by the data source
    OnlyIsolated bool
    Include only isolated instances
    OrderBy string
    Order by field and direction. Available values: "created.asc", "created.desc", "name.asc", "name.desc", "status.asc", "status.desc".
    WithDdos bool
    Include DDoS profile information in the response when set to true. Otherwise, the ddos_profile field in the response is null by default.
    WithInterfacesName bool
    Include interface_name in the addresses
    AvailableFloating bool
    Only show instances which are able to handle floating address
    ChangesBefore string
    Filters the instances by a date and time stamp when the instances last changed.
    ChangesSince string
    Filters the instances by a date and time stamp when the instances last changed status.
    ExcludeFlavorPrefix string
    Exclude instances with specified flavor prefix
    ExcludeSecgroup string
    Exclude instances with specified security group name
    FlavorId string
    Filter out instances by flavor_id. Flavor id must match exactly.
    FlavorPrefix string
    Filter out instances by flavor_prefix.
    Ip string
    An IPv4 address to filter results by. Note: partial matches are allowed. For example, searching for 192.168.0.1 will return 192.168.0.1, 192.168.0.10, 192.168.0.110, and so on.
    MaxItems double
    Max items to fetch, default: 1000
    Name string
    Filter instances by name. You can provide a full or partial name, instances with matching names will be returned. For example, entering 'test' will return all instances that contain 'test' in their name.
    OnlyWithFixedExternalIp bool
    Return bare metals only with external fixed IP addresses.
    ProfileName string
    Filter result by ddos protection profile name. Effective only with with_ddos set to true.
    ProjectId double
    Project ID
    ProtectionStatus string
    Filter result by DDoS protection_status. if parameter is provided. Effective only with with_ddos set to true. (Active, Queued or Error) Available values: "Active", "Queued", "Error".
    RegionId double
    Region ID
    Status string
    Filters instances by status. Available values: "ACTIVE", "BUILD", "ERROR", "HARDREBOOT", "MIGRATING", "PAUSED", "REBOOT", "REBUILD", "RESIZE", "REVERTRESIZE", "SHELVED", "SHELVEDOFFLOADED", "SHUTOFF", "SOFTDELETED", "SUSPENDED", "VERIFY_RESIZE".
    TagKeyValue string
    Optional. Filter by tag key-value pairs.
    TagValues List<string>
    Optional. Filter by tag values. ?tag_value=value1&tag_value=value2
    TypeDdosProfile string
    Return bare metals either only with advanced or only basic DDoS protection. Effective only with with_ddos set to true. (advanced or basic) Available values: "basic", "advanced".
    Uuid string
    Filter the server list result by the UUID of the server. Allowed UUID part
    Id string
    The provider-assigned unique ID for this managed resource.
    IncludeAi bool
    Include GPU clusters' servers

    Deprecated: Deprecated

    IncludeBaremetal bool
    Include bare metal servers. Please, use GET /v1/bminstances/ instead

    Deprecated: Deprecated

    IncludeK8s bool
    Include managed k8s worker nodes
    Items []GetCloudInstancesItem
    The items returned by the data source
    OnlyIsolated bool
    Include only isolated instances
    OrderBy string
    Order by field and direction. Available values: "created.asc", "created.desc", "name.asc", "name.desc", "status.asc", "status.desc".
    WithDdos bool
    Include DDoS profile information in the response when set to true. Otherwise, the ddos_profile field in the response is null by default.
    WithInterfacesName bool
    Include interface_name in the addresses
    AvailableFloating bool
    Only show instances which are able to handle floating address
    ChangesBefore string
    Filters the instances by a date and time stamp when the instances last changed.
    ChangesSince string
    Filters the instances by a date and time stamp when the instances last changed status.
    ExcludeFlavorPrefix string
    Exclude instances with specified flavor prefix
    ExcludeSecgroup string
    Exclude instances with specified security group name
    FlavorId string
    Filter out instances by flavor_id. Flavor id must match exactly.
    FlavorPrefix string
    Filter out instances by flavor_prefix.
    Ip string
    An IPv4 address to filter results by. Note: partial matches are allowed. For example, searching for 192.168.0.1 will return 192.168.0.1, 192.168.0.10, 192.168.0.110, and so on.
    MaxItems float64
    Max items to fetch, default: 1000
    Name string
    Filter instances by name. You can provide a full or partial name, instances with matching names will be returned. For example, entering 'test' will return all instances that contain 'test' in their name.
    OnlyWithFixedExternalIp bool
    Return bare metals only with external fixed IP addresses.
    ProfileName string
    Filter result by ddos protection profile name. Effective only with with_ddos set to true.
    ProjectId float64
    Project ID
    ProtectionStatus string
    Filter result by DDoS protection_status. if parameter is provided. Effective only with with_ddos set to true. (Active, Queued or Error) Available values: "Active", "Queued", "Error".
    RegionId float64
    Region ID
    Status string
    Filters instances by status. Available values: "ACTIVE", "BUILD", "ERROR", "HARDREBOOT", "MIGRATING", "PAUSED", "REBOOT", "REBUILD", "RESIZE", "REVERTRESIZE", "SHELVED", "SHELVEDOFFLOADED", "SHUTOFF", "SOFTDELETED", "SUSPENDED", "VERIFY_RESIZE".
    TagKeyValue string
    Optional. Filter by tag key-value pairs.
    TagValues []string
    Optional. Filter by tag values. ?tag_value=value1&tag_value=value2
    TypeDdosProfile string
    Return bare metals either only with advanced or only basic DDoS protection. Effective only with with_ddos set to true. (advanced or basic) Available values: "basic", "advanced".
    Uuid string
    Filter the server list result by the UUID of the server. Allowed UUID part
    id String
    The provider-assigned unique ID for this managed resource.
    includeAi Boolean
    Include GPU clusters' servers

    Deprecated: Deprecated

    includeBaremetal Boolean
    Include bare metal servers. Please, use GET /v1/bminstances/ instead

    Deprecated: Deprecated

    includeK8s Boolean
    Include managed k8s worker nodes
    items List<GetCloudInstancesItem>
    The items returned by the data source
    onlyIsolated Boolean
    Include only isolated instances
    orderBy String
    Order by field and direction. Available values: "created.asc", "created.desc", "name.asc", "name.desc", "status.asc", "status.desc".
    withDdos Boolean
    Include DDoS profile information in the response when set to true. Otherwise, the ddos_profile field in the response is null by default.
    withInterfacesName Boolean
    Include interface_name in the addresses
    availableFloating Boolean
    Only show instances which are able to handle floating address
    changesBefore String
    Filters the instances by a date and time stamp when the instances last changed.
    changesSince String
    Filters the instances by a date and time stamp when the instances last changed status.
    excludeFlavorPrefix String
    Exclude instances with specified flavor prefix
    excludeSecgroup String
    Exclude instances with specified security group name
    flavorId String
    Filter out instances by flavor_id. Flavor id must match exactly.
    flavorPrefix String
    Filter out instances by flavor_prefix.
    ip String
    An IPv4 address to filter results by. Note: partial matches are allowed. For example, searching for 192.168.0.1 will return 192.168.0.1, 192.168.0.10, 192.168.0.110, and so on.
    maxItems Double
    Max items to fetch, default: 1000
    name String
    Filter instances by name. You can provide a full or partial name, instances with matching names will be returned. For example, entering 'test' will return all instances that contain 'test' in their name.
    onlyWithFixedExternalIp Boolean
    Return bare metals only with external fixed IP addresses.
    profileName String
    Filter result by ddos protection profile name. Effective only with with_ddos set to true.
    projectId Double
    Project ID
    protectionStatus String
    Filter result by DDoS protection_status. if parameter is provided. Effective only with with_ddos set to true. (Active, Queued or Error) Available values: "Active", "Queued", "Error".
    regionId Double
    Region ID
    status String
    Filters instances by status. Available values: "ACTIVE", "BUILD", "ERROR", "HARDREBOOT", "MIGRATING", "PAUSED", "REBOOT", "REBUILD", "RESIZE", "REVERTRESIZE", "SHELVED", "SHELVEDOFFLOADED", "SHUTOFF", "SOFTDELETED", "SUSPENDED", "VERIFY_RESIZE".
    tagKeyValue String
    Optional. Filter by tag key-value pairs.
    tagValues List<String>
    Optional. Filter by tag values. ?tag_value=value1&tag_value=value2
    typeDdosProfile String
    Return bare metals either only with advanced or only basic DDoS protection. Effective only with with_ddos set to true. (advanced or basic) Available values: "basic", "advanced".
    uuid String
    Filter the server list result by the UUID of the server. Allowed UUID part
    id string
    The provider-assigned unique ID for this managed resource.
    includeAi boolean
    Include GPU clusters' servers

    Deprecated: Deprecated

    includeBaremetal boolean
    Include bare metal servers. Please, use GET /v1/bminstances/ instead

    Deprecated: Deprecated

    includeK8s boolean
    Include managed k8s worker nodes
    items GetCloudInstancesItem[]
    The items returned by the data source
    onlyIsolated boolean
    Include only isolated instances
    orderBy string
    Order by field and direction. Available values: "created.asc", "created.desc", "name.asc", "name.desc", "status.asc", "status.desc".
    withDdos boolean
    Include DDoS profile information in the response when set to true. Otherwise, the ddos_profile field in the response is null by default.
    withInterfacesName boolean
    Include interface_name in the addresses
    availableFloating boolean
    Only show instances which are able to handle floating address
    changesBefore string
    Filters the instances by a date and time stamp when the instances last changed.
    changesSince string
    Filters the instances by a date and time stamp when the instances last changed status.
    excludeFlavorPrefix string
    Exclude instances with specified flavor prefix
    excludeSecgroup string
    Exclude instances with specified security group name
    flavorId string
    Filter out instances by flavor_id. Flavor id must match exactly.
    flavorPrefix string
    Filter out instances by flavor_prefix.
    ip string
    An IPv4 address to filter results by. Note: partial matches are allowed. For example, searching for 192.168.0.1 will return 192.168.0.1, 192.168.0.10, 192.168.0.110, and so on.
    maxItems number
    Max items to fetch, default: 1000
    name string
    Filter instances by name. You can provide a full or partial name, instances with matching names will be returned. For example, entering 'test' will return all instances that contain 'test' in their name.
    onlyWithFixedExternalIp boolean
    Return bare metals only with external fixed IP addresses.
    profileName string
    Filter result by ddos protection profile name. Effective only with with_ddos set to true.
    projectId number
    Project ID
    protectionStatus string
    Filter result by DDoS protection_status. if parameter is provided. Effective only with with_ddos set to true. (Active, Queued or Error) Available values: "Active", "Queued", "Error".
    regionId number
    Region ID
    status string
    Filters instances by status. Available values: "ACTIVE", "BUILD", "ERROR", "HARDREBOOT", "MIGRATING", "PAUSED", "REBOOT", "REBUILD", "RESIZE", "REVERTRESIZE", "SHELVED", "SHELVEDOFFLOADED", "SHUTOFF", "SOFTDELETED", "SUSPENDED", "VERIFY_RESIZE".
    tagKeyValue string
    Optional. Filter by tag key-value pairs.
    tagValues string[]
    Optional. Filter by tag values. ?tag_value=value1&tag_value=value2
    typeDdosProfile string
    Return bare metals either only with advanced or only basic DDoS protection. Effective only with with_ddos set to true. (advanced or basic) Available values: "basic", "advanced".
    uuid string
    Filter the server list result by the UUID of the server. Allowed UUID part
    id str
    The provider-assigned unique ID for this managed resource.
    include_ai bool
    Include GPU clusters' servers

    Deprecated: Deprecated

    include_baremetal bool
    Include bare metal servers. Please, use GET /v1/bminstances/ instead

    Deprecated: Deprecated

    include_k8s bool
    Include managed k8s worker nodes
    items Sequence[GetCloudInstancesItem]
    The items returned by the data source
    only_isolated bool
    Include only isolated instances
    order_by str
    Order by field and direction. Available values: "created.asc", "created.desc", "name.asc", "name.desc", "status.asc", "status.desc".
    with_ddos bool
    Include DDoS profile information in the response when set to true. Otherwise, the ddos_profile field in the response is null by default.
    with_interfaces_name bool
    Include interface_name in the addresses
    available_floating bool
    Only show instances which are able to handle floating address
    changes_before str
    Filters the instances by a date and time stamp when the instances last changed.
    changes_since str
    Filters the instances by a date and time stamp when the instances last changed status.
    exclude_flavor_prefix str
    Exclude instances with specified flavor prefix
    exclude_secgroup str
    Exclude instances with specified security group name
    flavor_id str
    Filter out instances by flavor_id. Flavor id must match exactly.
    flavor_prefix str
    Filter out instances by flavor_prefix.
    ip str
    An IPv4 address to filter results by. Note: partial matches are allowed. For example, searching for 192.168.0.1 will return 192.168.0.1, 192.168.0.10, 192.168.0.110, and so on.
    max_items float
    Max items to fetch, default: 1000
    name str
    Filter instances by name. You can provide a full or partial name, instances with matching names will be returned. For example, entering 'test' will return all instances that contain 'test' in their name.
    only_with_fixed_external_ip bool
    Return bare metals only with external fixed IP addresses.
    profile_name str
    Filter result by ddos protection profile name. Effective only with with_ddos set to true.
    project_id float
    Project ID
    protection_status str
    Filter result by DDoS protection_status. if parameter is provided. Effective only with with_ddos set to true. (Active, Queued or Error) Available values: "Active", "Queued", "Error".
    region_id float
    Region ID
    status str
    Filters instances by status. Available values: "ACTIVE", "BUILD", "ERROR", "HARDREBOOT", "MIGRATING", "PAUSED", "REBOOT", "REBUILD", "RESIZE", "REVERTRESIZE", "SHELVED", "SHELVEDOFFLOADED", "SHUTOFF", "SOFTDELETED", "SUSPENDED", "VERIFY_RESIZE".
    tag_key_value str
    Optional. Filter by tag key-value pairs.
    tag_values Sequence[str]
    Optional. Filter by tag values. ?tag_value=value1&tag_value=value2
    type_ddos_profile str
    Return bare metals either only with advanced or only basic DDoS protection. Effective only with with_ddos set to true. (advanced or basic) Available values: "basic", "advanced".
    uuid str
    Filter the server list result by the UUID of the server. Allowed UUID part
    id String
    The provider-assigned unique ID for this managed resource.
    includeAi Boolean
    Include GPU clusters' servers

    Deprecated: Deprecated

    includeBaremetal Boolean
    Include bare metal servers. Please, use GET /v1/bminstances/ instead

    Deprecated: Deprecated

    includeK8s Boolean
    Include managed k8s worker nodes
    items List<Property Map>
    The items returned by the data source
    onlyIsolated Boolean
    Include only isolated instances
    orderBy String
    Order by field and direction. Available values: "created.asc", "created.desc", "name.asc", "name.desc", "status.asc", "status.desc".
    withDdos Boolean
    Include DDoS profile information in the response when set to true. Otherwise, the ddos_profile field in the response is null by default.
    withInterfacesName Boolean
    Include interface_name in the addresses
    availableFloating Boolean
    Only show instances which are able to handle floating address
    changesBefore String
    Filters the instances by a date and time stamp when the instances last changed.
    changesSince String
    Filters the instances by a date and time stamp when the instances last changed status.
    excludeFlavorPrefix String
    Exclude instances with specified flavor prefix
    excludeSecgroup String
    Exclude instances with specified security group name
    flavorId String
    Filter out instances by flavor_id. Flavor id must match exactly.
    flavorPrefix String
    Filter out instances by flavor_prefix.
    ip String
    An IPv4 address to filter results by. Note: partial matches are allowed. For example, searching for 192.168.0.1 will return 192.168.0.1, 192.168.0.10, 192.168.0.110, and so on.
    maxItems Number
    Max items to fetch, default: 1000
    name String
    Filter instances by name. You can provide a full or partial name, instances with matching names will be returned. For example, entering 'test' will return all instances that contain 'test' in their name.
    onlyWithFixedExternalIp Boolean
    Return bare metals only with external fixed IP addresses.
    profileName String
    Filter result by ddos protection profile name. Effective only with with_ddos set to true.
    projectId Number
    Project ID
    protectionStatus String
    Filter result by DDoS protection_status. if parameter is provided. Effective only with with_ddos set to true. (Active, Queued or Error) Available values: "Active", "Queued", "Error".
    regionId Number
    Region ID
    status String
    Filters instances by status. Available values: "ACTIVE", "BUILD", "ERROR", "HARDREBOOT", "MIGRATING", "PAUSED", "REBOOT", "REBUILD", "RESIZE", "REVERTRESIZE", "SHELVED", "SHELVEDOFFLOADED", "SHUTOFF", "SOFTDELETED", "SUSPENDED", "VERIFY_RESIZE".
    tagKeyValue String
    Optional. Filter by tag key-value pairs.
    tagValues List<String>
    Optional. Filter by tag values. ?tag_value=value1&tag_value=value2
    typeDdosProfile String
    Return bare metals either only with advanced or only basic DDoS protection. Effective only with with_ddos set to true. (advanced or basic) Available values: "basic", "advanced".
    uuid String
    Filter the server list result by the UUID of the server. Allowed UUID part

    Supporting Types

    GetCloudInstancesItem

    Addresses Dictionary<string, ImmutableArray<GetCloudInstancesItemAddresses>>
    Map of network_name to list of addresses in that network
    BlackholePorts List<GetCloudInstancesItemBlackholePort>
    IP addresses of the instances that are blackholed by DDoS mitigation system
    CreatedAt string
    Datetime when instance was created
    CreatorTaskId string
    Task that created this entity
    DdosProfile GetCloudInstancesItemDdosProfile
    Advanced DDoS protection profile. It is always null if query parameter with_ddos=true is not set.
    FixedIpAssignments List<GetCloudInstancesItemFixedIpAssignment>
    Fixed IP assigned to instance
    Flavor GetCloudInstancesItemFlavor
    Flavor
    Id string
    Instance ID
    InstanceDescription string
    Instance description
    InstanceIsolation GetCloudInstancesItemInstanceIsolation
    Instance isolation information
    Name string
    Instance name
    ProjectId double
    Project ID
    Region string
    Region name
    RegionId double
    Region ID
    SecurityGroups List<GetCloudInstancesItemSecurityGroup>
    Security groups
    SshKeyName string
    SSH key assigned to instance
    Status string
    Instance status Available values: "ACTIVE", "BUILD", "DELETED", "ERROR", "HARDREBOOT", "MIGRATING", "PASSWORD", "PAUSED", "REBOOT", "REBUILD", "RESCUE", "RESIZE", "REVERTRESIZE", "SHELVED", "SHELVEDOFFLOADED", "SHUTOFF", "SOFTDELETED", "SUSPENDED", "UNKNOWN", "VERIFY_RESIZE".
    Tags List<GetCloudInstancesItemTag>
    List of key-value tags associated with the resource. A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.
    TaskState string
    Task state
    VmState string
    Virtual machine state (active) Available values: "active", "building", "deleted", "error", "paused", "rescued", "resized", "shelved", "shelved_offloaded", "soft-deleted", "stopped", "suspended".
    Volumes List<GetCloudInstancesItemVolume>
    List of volumes
    Addresses map[string][]GetCloudInstancesItemAddresses
    Map of network_name to list of addresses in that network
    BlackholePorts []GetCloudInstancesItemBlackholePort
    IP addresses of the instances that are blackholed by DDoS mitigation system
    CreatedAt string
    Datetime when instance was created
    CreatorTaskId string
    Task that created this entity
    DdosProfile GetCloudInstancesItemDdosProfile
    Advanced DDoS protection profile. It is always null if query parameter with_ddos=true is not set.
    FixedIpAssignments []GetCloudInstancesItemFixedIpAssignment
    Fixed IP assigned to instance
    Flavor GetCloudInstancesItemFlavor
    Flavor
    Id string
    Instance ID
    InstanceDescription string
    Instance description
    InstanceIsolation GetCloudInstancesItemInstanceIsolation
    Instance isolation information
    Name string
    Instance name
    ProjectId float64
    Project ID
    Region string
    Region name
    RegionId float64
    Region ID
    SecurityGroups []GetCloudInstancesItemSecurityGroup
    Security groups
    SshKeyName string
    SSH key assigned to instance
    Status string
    Instance status Available values: "ACTIVE", "BUILD", "DELETED", "ERROR", "HARDREBOOT", "MIGRATING", "PASSWORD", "PAUSED", "REBOOT", "REBUILD", "RESCUE", "RESIZE", "REVERTRESIZE", "SHELVED", "SHELVEDOFFLOADED", "SHUTOFF", "SOFTDELETED", "SUSPENDED", "UNKNOWN", "VERIFY_RESIZE".
    Tags []GetCloudInstancesItemTag
    List of key-value tags associated with the resource. A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.
    TaskState string
    Task state
    VmState string
    Virtual machine state (active) Available values: "active", "building", "deleted", "error", "paused", "rescued", "resized", "shelved", "shelved_offloaded", "soft-deleted", "stopped", "suspended".
    Volumes []GetCloudInstancesItemVolume
    List of volumes
    addresses Map<String,List<GetCloudInstancesItemAddresses>>
    Map of network_name to list of addresses in that network
    blackholePorts List<GetCloudInstancesItemBlackholePort>
    IP addresses of the instances that are blackholed by DDoS mitigation system
    createdAt String
    Datetime when instance was created
    creatorTaskId String
    Task that created this entity
    ddosProfile GetCloudInstancesItemDdosProfile
    Advanced DDoS protection profile. It is always null if query parameter with_ddos=true is not set.
    fixedIpAssignments List<GetCloudInstancesItemFixedIpAssignment>
    Fixed IP assigned to instance
    flavor GetCloudInstancesItemFlavor
    Flavor
    id String
    Instance ID
    instanceDescription String
    Instance description
    instanceIsolation GetCloudInstancesItemInstanceIsolation
    Instance isolation information
    name String
    Instance name
    projectId Double
    Project ID
    region String
    Region name
    regionId Double
    Region ID
    securityGroups List<GetCloudInstancesItemSecurityGroup>
    Security groups
    sshKeyName String
    SSH key assigned to instance
    status String
    Instance status Available values: "ACTIVE", "BUILD", "DELETED", "ERROR", "HARDREBOOT", "MIGRATING", "PASSWORD", "PAUSED", "REBOOT", "REBUILD", "RESCUE", "RESIZE", "REVERTRESIZE", "SHELVED", "SHELVEDOFFLOADED", "SHUTOFF", "SOFTDELETED", "SUSPENDED", "UNKNOWN", "VERIFY_RESIZE".
    tags List<GetCloudInstancesItemTag>
    List of key-value tags associated with the resource. A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.
    taskState String
    Task state
    vmState String
    Virtual machine state (active) Available values: "active", "building", "deleted", "error", "paused", "rescued", "resized", "shelved", "shelved_offloaded", "soft-deleted", "stopped", "suspended".
    volumes List<GetCloudInstancesItemVolume>
    List of volumes
    addresses {[key: string]: GetCloudInstancesItemAddresses[]}
    Map of network_name to list of addresses in that network
    blackholePorts GetCloudInstancesItemBlackholePort[]
    IP addresses of the instances that are blackholed by DDoS mitigation system
    createdAt string
    Datetime when instance was created
    creatorTaskId string
    Task that created this entity
    ddosProfile GetCloudInstancesItemDdosProfile
    Advanced DDoS protection profile. It is always null if query parameter with_ddos=true is not set.
    fixedIpAssignments GetCloudInstancesItemFixedIpAssignment[]
    Fixed IP assigned to instance
    flavor GetCloudInstancesItemFlavor
    Flavor
    id string
    Instance ID
    instanceDescription string
    Instance description
    instanceIsolation GetCloudInstancesItemInstanceIsolation
    Instance isolation information
    name string
    Instance name
    projectId number
    Project ID
    region string
    Region name
    regionId number
    Region ID
    securityGroups GetCloudInstancesItemSecurityGroup[]
    Security groups
    sshKeyName string
    SSH key assigned to instance
    status string
    Instance status Available values: "ACTIVE", "BUILD", "DELETED", "ERROR", "HARDREBOOT", "MIGRATING", "PASSWORD", "PAUSED", "REBOOT", "REBUILD", "RESCUE", "RESIZE", "REVERTRESIZE", "SHELVED", "SHELVEDOFFLOADED", "SHUTOFF", "SOFTDELETED", "SUSPENDED", "UNKNOWN", "VERIFY_RESIZE".
    tags GetCloudInstancesItemTag[]
    List of key-value tags associated with the resource. A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.
    taskState string
    Task state
    vmState string
    Virtual machine state (active) Available values: "active", "building", "deleted", "error", "paused", "rescued", "resized", "shelved", "shelved_offloaded", "soft-deleted", "stopped", "suspended".
    volumes GetCloudInstancesItemVolume[]
    List of volumes
    addresses Mapping[str, Sequence[GetCloudInstancesItemAddresses]]
    Map of network_name to list of addresses in that network
    blackhole_ports Sequence[GetCloudInstancesItemBlackholePort]
    IP addresses of the instances that are blackholed by DDoS mitigation system
    created_at str
    Datetime when instance was created
    creator_task_id str
    Task that created this entity
    ddos_profile GetCloudInstancesItemDdosProfile
    Advanced DDoS protection profile. It is always null if query parameter with_ddos=true is not set.
    fixed_ip_assignments Sequence[GetCloudInstancesItemFixedIpAssignment]
    Fixed IP assigned to instance
    flavor GetCloudInstancesItemFlavor
    Flavor
    id str
    Instance ID
    instance_description str
    Instance description
    instance_isolation GetCloudInstancesItemInstanceIsolation
    Instance isolation information
    name str
    Instance name
    project_id float
    Project ID
    region str
    Region name
    region_id float
    Region ID
    security_groups Sequence[GetCloudInstancesItemSecurityGroup]
    Security groups
    ssh_key_name str
    SSH key assigned to instance
    status str
    Instance status Available values: "ACTIVE", "BUILD", "DELETED", "ERROR", "HARDREBOOT", "MIGRATING", "PASSWORD", "PAUSED", "REBOOT", "REBUILD", "RESCUE", "RESIZE", "REVERTRESIZE", "SHELVED", "SHELVEDOFFLOADED", "SHUTOFF", "SOFTDELETED", "SUSPENDED", "UNKNOWN", "VERIFY_RESIZE".
    tags Sequence[GetCloudInstancesItemTag]
    List of key-value tags associated with the resource. A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.
    task_state str
    Task state
    vm_state str
    Virtual machine state (active) Available values: "active", "building", "deleted", "error", "paused", "rescued", "resized", "shelved", "shelved_offloaded", "soft-deleted", "stopped", "suspended".
    volumes Sequence[GetCloudInstancesItemVolume]
    List of volumes
    addresses Map<List<Property Map>>
    Map of network_name to list of addresses in that network
    blackholePorts List<Property Map>
    IP addresses of the instances that are blackholed by DDoS mitigation system
    createdAt String
    Datetime when instance was created
    creatorTaskId String
    Task that created this entity
    ddosProfile Property Map
    Advanced DDoS protection profile. It is always null if query parameter with_ddos=true is not set.
    fixedIpAssignments List<Property Map>
    Fixed IP assigned to instance
    flavor Property Map
    Flavor
    id String
    Instance ID
    instanceDescription String
    Instance description
    instanceIsolation Property Map
    Instance isolation information
    name String
    Instance name
    projectId Number
    Project ID
    region String
    Region name
    regionId Number
    Region ID
    securityGroups List<Property Map>
    Security groups
    sshKeyName String
    SSH key assigned to instance
    status String
    Instance status Available values: "ACTIVE", "BUILD", "DELETED", "ERROR", "HARDREBOOT", "MIGRATING", "PASSWORD", "PAUSED", "REBOOT", "REBUILD", "RESCUE", "RESIZE", "REVERTRESIZE", "SHELVED", "SHELVEDOFFLOADED", "SHUTOFF", "SOFTDELETED", "SUSPENDED", "UNKNOWN", "VERIFY_RESIZE".
    tags List<Property Map>
    List of key-value tags associated with the resource. A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.
    taskState String
    Task state
    vmState String
    Virtual machine state (active) Available values: "active", "building", "deleted", "error", "paused", "rescued", "resized", "shelved", "shelved_offloaded", "soft-deleted", "stopped", "suspended".
    volumes List<Property Map>
    List of volumes

    GetCloudInstancesItemAddresses

    Addr string
    InterfaceName string
    SubnetId string
    Interface subnet id
    SubnetName string
    Type string
    Addr string
    InterfaceName string
    SubnetId string
    Interface subnet id
    SubnetName string
    Type string
    addr String
    interfaceName String
    subnetId String
    Interface subnet id
    subnetName String
    type String
    addr string
    interfaceName string
    subnetId string
    Interface subnet id
    subnetName string
    type string
    addr str
    interface_name str
    subnet_id str
    Interface subnet id
    subnet_name str
    type str
    addr String
    interfaceName String
    subnetId String
    Interface subnet id
    subnetName String
    type String

    GetCloudInstancesItemBlackholePort

    AlarmEnd string
    A date-time string giving the time that the alarm ended. If not yet ended, time will be given as 0001-01-01T00:00:00Z
    AlarmStart string
    A date-time string giving the time that the alarm started
    AlarmState string
    Current state of alarm Available values: "ACKREQ", "ALARM", "ARCHIVED", "CLEAR", "CLEARING", "CLEARINGFAIL", "ENDGRACE", "ENDWAIT", "MANUALCLEAR", "MANUALCLEARING", "MANUALCLEARINGFAIL", "MANUALMITIGATING", "MANUALSTARTING", "MANUALSTARTINGFAIL", "MITIGATING", "STARTING", "STARTINGFAIL", "STARTWAIT", "ackreq", "alarm", "archived", "clear", "clearing", "clearingfail", "endgrace", "endwait", "manualclear", "manualclearing", "manualclearingfail", "manualmitigating", "manualstarting", "manualstartingfail", "mitigating", "startwait", "starting", "startingfail".
    AlertDuration string
    Total alert duration
    DestinationIp string
    Notification destination IP address
    Id double
    AlarmEnd string
    A date-time string giving the time that the alarm ended. If not yet ended, time will be given as 0001-01-01T00:00:00Z
    AlarmStart string
    A date-time string giving the time that the alarm started
    AlarmState string
    Current state of alarm Available values: "ACKREQ", "ALARM", "ARCHIVED", "CLEAR", "CLEARING", "CLEARINGFAIL", "ENDGRACE", "ENDWAIT", "MANUALCLEAR", "MANUALCLEARING", "MANUALCLEARINGFAIL", "MANUALMITIGATING", "MANUALSTARTING", "MANUALSTARTINGFAIL", "MITIGATING", "STARTING", "STARTINGFAIL", "STARTWAIT", "ackreq", "alarm", "archived", "clear", "clearing", "clearingfail", "endgrace", "endwait", "manualclear", "manualclearing", "manualclearingfail", "manualmitigating", "manualstarting", "manualstartingfail", "mitigating", "startwait", "starting", "startingfail".
    AlertDuration string
    Total alert duration
    DestinationIp string
    Notification destination IP address
    Id float64
    alarmEnd String
    A date-time string giving the time that the alarm ended. If not yet ended, time will be given as 0001-01-01T00:00:00Z
    alarmStart String
    A date-time string giving the time that the alarm started
    alarmState String
    Current state of alarm Available values: "ACKREQ", "ALARM", "ARCHIVED", "CLEAR", "CLEARING", "CLEARINGFAIL", "ENDGRACE", "ENDWAIT", "MANUALCLEAR", "MANUALCLEARING", "MANUALCLEARINGFAIL", "MANUALMITIGATING", "MANUALSTARTING", "MANUALSTARTINGFAIL", "MITIGATING", "STARTING", "STARTINGFAIL", "STARTWAIT", "ackreq", "alarm", "archived", "clear", "clearing", "clearingfail", "endgrace", "endwait", "manualclear", "manualclearing", "manualclearingfail", "manualmitigating", "manualstarting", "manualstartingfail", "mitigating", "startwait", "starting", "startingfail".
    alertDuration String
    Total alert duration
    destinationIp String
    Notification destination IP address
    id Double
    alarmEnd string
    A date-time string giving the time that the alarm ended. If not yet ended, time will be given as 0001-01-01T00:00:00Z
    alarmStart string
    A date-time string giving the time that the alarm started
    alarmState string
    Current state of alarm Available values: "ACKREQ", "ALARM", "ARCHIVED", "CLEAR", "CLEARING", "CLEARINGFAIL", "ENDGRACE", "ENDWAIT", "MANUALCLEAR", "MANUALCLEARING", "MANUALCLEARINGFAIL", "MANUALMITIGATING", "MANUALSTARTING", "MANUALSTARTINGFAIL", "MITIGATING", "STARTING", "STARTINGFAIL", "STARTWAIT", "ackreq", "alarm", "archived", "clear", "clearing", "clearingfail", "endgrace", "endwait", "manualclear", "manualclearing", "manualclearingfail", "manualmitigating", "manualstarting", "manualstartingfail", "mitigating", "startwait", "starting", "startingfail".
    alertDuration string
    Total alert duration
    destinationIp string
    Notification destination IP address
    id number
    alarm_end str
    A date-time string giving the time that the alarm ended. If not yet ended, time will be given as 0001-01-01T00:00:00Z
    alarm_start str
    A date-time string giving the time that the alarm started
    alarm_state str
    Current state of alarm Available values: "ACKREQ", "ALARM", "ARCHIVED", "CLEAR", "CLEARING", "CLEARINGFAIL", "ENDGRACE", "ENDWAIT", "MANUALCLEAR", "MANUALCLEARING", "MANUALCLEARINGFAIL", "MANUALMITIGATING", "MANUALSTARTING", "MANUALSTARTINGFAIL", "MITIGATING", "STARTING", "STARTINGFAIL", "STARTWAIT", "ackreq", "alarm", "archived", "clear", "clearing", "clearingfail", "endgrace", "endwait", "manualclear", "manualclearing", "manualclearingfail", "manualmitigating", "manualstarting", "manualstartingfail", "mitigating", "startwait", "starting", "startingfail".
    alert_duration str
    Total alert duration
    destination_ip str
    Notification destination IP address
    id float
    alarmEnd String
    A date-time string giving the time that the alarm ended. If not yet ended, time will be given as 0001-01-01T00:00:00Z
    alarmStart String
    A date-time string giving the time that the alarm started
    alarmState String
    Current state of alarm Available values: "ACKREQ", "ALARM", "ARCHIVED", "CLEAR", "CLEARING", "CLEARINGFAIL", "ENDGRACE", "ENDWAIT", "MANUALCLEAR", "MANUALCLEARING", "MANUALCLEARINGFAIL", "MANUALMITIGATING", "MANUALSTARTING", "MANUALSTARTINGFAIL", "MITIGATING", "STARTING", "STARTINGFAIL", "STARTWAIT", "ackreq", "alarm", "archived", "clear", "clearing", "clearingfail", "endgrace", "endwait", "manualclear", "manualclearing", "manualclearingfail", "manualmitigating", "manualstarting", "manualstartingfail", "mitigating", "startwait", "starting", "startingfail".
    alertDuration String
    Total alert duration
    destinationIp String
    Notification destination IP address
    id Number

    GetCloudInstancesItemDdosProfile

    Fields List<GetCloudInstancesItemDdosProfileField>
    List of configured field values for the protection profile
    Id double
    Unique identifier for the DDoS protection profile
    Options GetCloudInstancesItemDdosProfileOptions
    Configuration options controlling profile activation and BGP routing
    ProfileTemplate GetCloudInstancesItemDdosProfileProfileTemplate
    Complete template configuration data used for this profile
    ProfileTemplateDescription string
    Detailed description of the protection template used for this profile
    Protocols List<GetCloudInstancesItemDdosProfileProtocol>
    List of network protocols and ports configured for protection
    Site string
    Geographic site identifier where the protection is deployed
    Status GetCloudInstancesItemDdosProfileStatus
    Current operational status and any error information for the profile
    Fields []GetCloudInstancesItemDdosProfileField
    List of configured field values for the protection profile
    Id float64
    Unique identifier for the DDoS protection profile
    Options GetCloudInstancesItemDdosProfileOptions
    Configuration options controlling profile activation and BGP routing
    ProfileTemplate GetCloudInstancesItemDdosProfileProfileTemplate
    Complete template configuration data used for this profile
    ProfileTemplateDescription string
    Detailed description of the protection template used for this profile
    Protocols []GetCloudInstancesItemDdosProfileProtocol
    List of network protocols and ports configured for protection
    Site string
    Geographic site identifier where the protection is deployed
    Status GetCloudInstancesItemDdosProfileStatus
    Current operational status and any error information for the profile
    fields List<GetCloudInstancesItemDdosProfileField>
    List of configured field values for the protection profile
    id Double
    Unique identifier for the DDoS protection profile
    options GetCloudInstancesItemDdosProfileOptions
    Configuration options controlling profile activation and BGP routing
    profileTemplate GetCloudInstancesItemDdosProfileProfileTemplate
    Complete template configuration data used for this profile
    profileTemplateDescription String
    Detailed description of the protection template used for this profile
    protocols List<GetCloudInstancesItemDdosProfileProtocol>
    List of network protocols and ports configured for protection
    site String
    Geographic site identifier where the protection is deployed
    status GetCloudInstancesItemDdosProfileStatus
    Current operational status and any error information for the profile
    fields GetCloudInstancesItemDdosProfileField[]
    List of configured field values for the protection profile
    id number
    Unique identifier for the DDoS protection profile
    options GetCloudInstancesItemDdosProfileOptions
    Configuration options controlling profile activation and BGP routing
    profileTemplate GetCloudInstancesItemDdosProfileProfileTemplate
    Complete template configuration data used for this profile
    profileTemplateDescription string
    Detailed description of the protection template used for this profile
    protocols GetCloudInstancesItemDdosProfileProtocol[]
    List of network protocols and ports configured for protection
    site string
    Geographic site identifier where the protection is deployed
    status GetCloudInstancesItemDdosProfileStatus
    Current operational status and any error information for the profile
    fields Sequence[GetCloudInstancesItemDdosProfileField]
    List of configured field values for the protection profile
    id float
    Unique identifier for the DDoS protection profile
    options GetCloudInstancesItemDdosProfileOptions
    Configuration options controlling profile activation and BGP routing
    profile_template GetCloudInstancesItemDdosProfileProfileTemplate
    Complete template configuration data used for this profile
    profile_template_description str
    Detailed description of the protection template used for this profile
    protocols Sequence[GetCloudInstancesItemDdosProfileProtocol]
    List of network protocols and ports configured for protection
    site str
    Geographic site identifier where the protection is deployed
    status GetCloudInstancesItemDdosProfileStatus
    Current operational status and any error information for the profile
    fields List<Property Map>
    List of configured field values for the protection profile
    id Number
    Unique identifier for the DDoS protection profile
    options Property Map
    Configuration options controlling profile activation and BGP routing
    profileTemplate Property Map
    Complete template configuration data used for this profile
    profileTemplateDescription String
    Detailed description of the protection template used for this profile
    protocols List<Property Map>
    List of network protocols and ports configured for protection
    site String
    Geographic site identifier where the protection is deployed
    status Property Map
    Current operational status and any error information for the profile

    GetCloudInstancesItemDdosProfileField

    BaseField double
    ID of DDoS profile field
    Default string
    Predefined default value for the field if not specified
    Description string
    Detailed description explaining the field's purpose and usage guidelines
    FieldName string
    Name of DDoS profile field
    FieldType string
    Data type classification of the field (e.g., string, integer, array)
    FieldValue string
    Complex value. Only one of 'value' or 'field_value' must be specified.
    Id double
    Unique identifier for the DDoS protection field
    Name string
    Human-readable name of the protection field
    Required bool
    Indicates whether this field must be provided when creating a protection profile
    ValidationSchema string
    JSON schema defining validation rules and constraints for the field value
    Value string
    Basic type value. Only one of 'value' or 'field_value' must be specified.
    BaseField float64
    ID of DDoS profile field
    Default string
    Predefined default value for the field if not specified
    Description string
    Detailed description explaining the field's purpose and usage guidelines
    FieldName string
    Name of DDoS profile field
    FieldType string
    Data type classification of the field (e.g., string, integer, array)
    FieldValue string
    Complex value. Only one of 'value' or 'field_value' must be specified.
    Id float64
    Unique identifier for the DDoS protection field
    Name string
    Human-readable name of the protection field
    Required bool
    Indicates whether this field must be provided when creating a protection profile
    ValidationSchema string
    JSON schema defining validation rules and constraints for the field value
    Value string
    Basic type value. Only one of 'value' or 'field_value' must be specified.
    baseField Double
    ID of DDoS profile field
    default_ String
    Predefined default value for the field if not specified
    description String
    Detailed description explaining the field's purpose and usage guidelines
    fieldName String
    Name of DDoS profile field
    fieldType String
    Data type classification of the field (e.g., string, integer, array)
    fieldValue String
    Complex value. Only one of 'value' or 'field_value' must be specified.
    id Double
    Unique identifier for the DDoS protection field
    name String
    Human-readable name of the protection field
    required Boolean
    Indicates whether this field must be provided when creating a protection profile
    validationSchema String
    JSON schema defining validation rules and constraints for the field value
    value String
    Basic type value. Only one of 'value' or 'field_value' must be specified.
    baseField number
    ID of DDoS profile field
    default string
    Predefined default value for the field if not specified
    description string
    Detailed description explaining the field's purpose and usage guidelines
    fieldName string
    Name of DDoS profile field
    fieldType string
    Data type classification of the field (e.g., string, integer, array)
    fieldValue string
    Complex value. Only one of 'value' or 'field_value' must be specified.
    id number
    Unique identifier for the DDoS protection field
    name string
    Human-readable name of the protection field
    required boolean
    Indicates whether this field must be provided when creating a protection profile
    validationSchema string
    JSON schema defining validation rules and constraints for the field value
    value string
    Basic type value. Only one of 'value' or 'field_value' must be specified.
    base_field float
    ID of DDoS profile field
    default str
    Predefined default value for the field if not specified
    description str
    Detailed description explaining the field's purpose and usage guidelines
    field_name str
    Name of DDoS profile field
    field_type str
    Data type classification of the field (e.g., string, integer, array)
    field_value str
    Complex value. Only one of 'value' or 'field_value' must be specified.
    id float
    Unique identifier for the DDoS protection field
    name str
    Human-readable name of the protection field
    required bool
    Indicates whether this field must be provided when creating a protection profile
    validation_schema str
    JSON schema defining validation rules and constraints for the field value
    value str
    Basic type value. Only one of 'value' or 'field_value' must be specified.
    baseField Number
    ID of DDoS profile field
    default String
    Predefined default value for the field if not specified
    description String
    Detailed description explaining the field's purpose and usage guidelines
    fieldName String
    Name of DDoS profile field
    fieldType String
    Data type classification of the field (e.g., string, integer, array)
    fieldValue String
    Complex value. Only one of 'value' or 'field_value' must be specified.
    id Number
    Unique identifier for the DDoS protection field
    name String
    Human-readable name of the protection field
    required Boolean
    Indicates whether this field must be provided when creating a protection profile
    validationSchema String
    JSON schema defining validation rules and constraints for the field value
    value String
    Basic type value. Only one of 'value' or 'field_value' must be specified.

    GetCloudInstancesItemDdosProfileOptions

    Active bool
    Controls whether the DDoS protection profile is enabled and actively protecting the resource
    Bgp bool
    Enables Border Gateway Protocol (BGP) routing for DDoS protection traffic
    Active bool
    Controls whether the DDoS protection profile is enabled and actively protecting the resource
    Bgp bool
    Enables Border Gateway Protocol (BGP) routing for DDoS protection traffic
    active Boolean
    Controls whether the DDoS protection profile is enabled and actively protecting the resource
    bgp Boolean
    Enables Border Gateway Protocol (BGP) routing for DDoS protection traffic
    active boolean
    Controls whether the DDoS protection profile is enabled and actively protecting the resource
    bgp boolean
    Enables Border Gateway Protocol (BGP) routing for DDoS protection traffic
    active bool
    Controls whether the DDoS protection profile is enabled and actively protecting the resource
    bgp bool
    Enables Border Gateway Protocol (BGP) routing for DDoS protection traffic
    active Boolean
    Controls whether the DDoS protection profile is enabled and actively protecting the resource
    bgp Boolean
    Enables Border Gateway Protocol (BGP) routing for DDoS protection traffic

    GetCloudInstancesItemDdosProfileProfileTemplate

    Description string
    Detailed description explaining the template's purpose and use cases
    Fields List<GetCloudInstancesItemDdosProfileProfileTemplateField>
    List of configurable fields that define the template's protection parameters
    Id double
    Unique identifier for the DDoS protection template
    Name string
    Human-readable name of the protection template
    Description string
    Detailed description explaining the template's purpose and use cases
    Fields []GetCloudInstancesItemDdosProfileProfileTemplateField
    List of configurable fields that define the template's protection parameters
    Id float64
    Unique identifier for the DDoS protection template
    Name string
    Human-readable name of the protection template
    description String
    Detailed description explaining the template's purpose and use cases
    fields List<GetCloudInstancesItemDdosProfileProfileTemplateField>
    List of configurable fields that define the template's protection parameters
    id Double
    Unique identifier for the DDoS protection template
    name String
    Human-readable name of the protection template
    description string
    Detailed description explaining the template's purpose and use cases
    fields GetCloudInstancesItemDdosProfileProfileTemplateField[]
    List of configurable fields that define the template's protection parameters
    id number
    Unique identifier for the DDoS protection template
    name string
    Human-readable name of the protection template
    description str
    Detailed description explaining the template's purpose and use cases
    fields Sequence[GetCloudInstancesItemDdosProfileProfileTemplateField]
    List of configurable fields that define the template's protection parameters
    id float
    Unique identifier for the DDoS protection template
    name str
    Human-readable name of the protection template
    description String
    Detailed description explaining the template's purpose and use cases
    fields List<Property Map>
    List of configurable fields that define the template's protection parameters
    id Number
    Unique identifier for the DDoS protection template
    name String
    Human-readable name of the protection template

    GetCloudInstancesItemDdosProfileProfileTemplateField

    Default string
    Predefined default value for the field if not specified
    Description string
    Detailed description explaining the field's purpose and usage guidelines
    FieldType string
    Data type classification of the field (e.g., string, integer, array)
    Id double
    Unique identifier for the DDoS protection field
    Name string
    Human-readable name of the protection field
    Required bool
    Indicates whether this field must be provided when creating a protection profile
    ValidationSchema string
    JSON schema defining validation rules and constraints for the field value
    Default string
    Predefined default value for the field if not specified
    Description string
    Detailed description explaining the field's purpose and usage guidelines
    FieldType string
    Data type classification of the field (e.g., string, integer, array)
    Id float64
    Unique identifier for the DDoS protection field
    Name string
    Human-readable name of the protection field
    Required bool
    Indicates whether this field must be provided when creating a protection profile
    ValidationSchema string
    JSON schema defining validation rules and constraints for the field value
    default_ String
    Predefined default value for the field if not specified
    description String
    Detailed description explaining the field's purpose and usage guidelines
    fieldType String
    Data type classification of the field (e.g., string, integer, array)
    id Double
    Unique identifier for the DDoS protection field
    name String
    Human-readable name of the protection field
    required Boolean
    Indicates whether this field must be provided when creating a protection profile
    validationSchema String
    JSON schema defining validation rules and constraints for the field value
    default string
    Predefined default value for the field if not specified
    description string
    Detailed description explaining the field's purpose and usage guidelines
    fieldType string
    Data type classification of the field (e.g., string, integer, array)
    id number
    Unique identifier for the DDoS protection field
    name string
    Human-readable name of the protection field
    required boolean
    Indicates whether this field must be provided when creating a protection profile
    validationSchema string
    JSON schema defining validation rules and constraints for the field value
    default str
    Predefined default value for the field if not specified
    description str
    Detailed description explaining the field's purpose and usage guidelines
    field_type str
    Data type classification of the field (e.g., string, integer, array)
    id float
    Unique identifier for the DDoS protection field
    name str
    Human-readable name of the protection field
    required bool
    Indicates whether this field must be provided when creating a protection profile
    validation_schema str
    JSON schema defining validation rules and constraints for the field value
    default String
    Predefined default value for the field if not specified
    description String
    Detailed description explaining the field's purpose and usage guidelines
    fieldType String
    Data type classification of the field (e.g., string, integer, array)
    id Number
    Unique identifier for the DDoS protection field
    name String
    Human-readable name of the protection field
    required Boolean
    Indicates whether this field must be provided when creating a protection profile
    validationSchema String
    JSON schema defining validation rules and constraints for the field value

    GetCloudInstancesItemDdosProfileProtocol

    Port string
    Network port number for which protocols are configured
    Protocols List<string>
    List of network protocols enabled on the specified port
    Port string
    Network port number for which protocols are configured
    Protocols []string
    List of network protocols enabled on the specified port
    port String
    Network port number for which protocols are configured
    protocols List<String>
    List of network protocols enabled on the specified port
    port string
    Network port number for which protocols are configured
    protocols string[]
    List of network protocols enabled on the specified port
    port str
    Network port number for which protocols are configured
    protocols Sequence[str]
    List of network protocols enabled on the specified port
    port String
    Network port number for which protocols are configured
    protocols List<String>
    List of network protocols enabled on the specified port

    GetCloudInstancesItemDdosProfileStatus

    ErrorDescription string
    Detailed error message describing any issues with the profile operation
    Status string
    Current operational status of the DDoS protection profile
    ErrorDescription string
    Detailed error message describing any issues with the profile operation
    Status string
    Current operational status of the DDoS protection profile
    errorDescription String
    Detailed error message describing any issues with the profile operation
    status String
    Current operational status of the DDoS protection profile
    errorDescription string
    Detailed error message describing any issues with the profile operation
    status string
    Current operational status of the DDoS protection profile
    error_description str
    Detailed error message describing any issues with the profile operation
    status str
    Current operational status of the DDoS protection profile
    errorDescription String
    Detailed error message describing any issues with the profile operation
    status String
    Current operational status of the DDoS protection profile

    GetCloudInstancesItemFixedIpAssignment

    External bool
    Is network external
    IpAddress string
    Ip address
    SubnetId string
    Interface subnet id
    External bool
    Is network external
    IpAddress string
    Ip address
    SubnetId string
    Interface subnet id
    external Boolean
    Is network external
    ipAddress String
    Ip address
    subnetId String
    Interface subnet id
    external boolean
    Is network external
    ipAddress string
    Ip address
    subnetId string
    Interface subnet id
    external bool
    Is network external
    ip_address str
    Ip address
    subnet_id str
    Interface subnet id
    external Boolean
    Is network external
    ipAddress String
    Ip address
    subnetId String
    Interface subnet id

    GetCloudInstancesItemFlavor

    Architecture string
    CPU architecture
    FlavorId string
    Flavor ID is the same as name
    FlavorName string
    Flavor name
    HardwareDescription GetCloudInstancesItemFlavorHardwareDescription
    Additional hardware description
    OsType string
    Flavor operating system
    Ram double
    RAM size in MiB
    ResourceClass string
    Flavor resource class for mapping to hardware capacity
    Vcpus double
    Virtual CPU count. For bare metal flavors, it's a physical CPU count
    Architecture string
    CPU architecture
    FlavorId string
    Flavor ID is the same as name
    FlavorName string
    Flavor name
    HardwareDescription GetCloudInstancesItemFlavorHardwareDescription
    Additional hardware description
    OsType string
    Flavor operating system
    Ram float64
    RAM size in MiB
    ResourceClass string
    Flavor resource class for mapping to hardware capacity
    Vcpus float64
    Virtual CPU count. For bare metal flavors, it's a physical CPU count
    architecture String
    CPU architecture
    flavorId String
    Flavor ID is the same as name
    flavorName String
    Flavor name
    hardwareDescription GetCloudInstancesItemFlavorHardwareDescription
    Additional hardware description
    osType String
    Flavor operating system
    ram Double
    RAM size in MiB
    resourceClass String
    Flavor resource class for mapping to hardware capacity
    vcpus Double
    Virtual CPU count. For bare metal flavors, it's a physical CPU count
    architecture string
    CPU architecture
    flavorId string
    Flavor ID is the same as name
    flavorName string
    Flavor name
    hardwareDescription GetCloudInstancesItemFlavorHardwareDescription
    Additional hardware description
    osType string
    Flavor operating system
    ram number
    RAM size in MiB
    resourceClass string
    Flavor resource class for mapping to hardware capacity
    vcpus number
    Virtual CPU count. For bare metal flavors, it's a physical CPU count
    architecture str
    CPU architecture
    flavor_id str
    Flavor ID is the same as name
    flavor_name str
    Flavor name
    hardware_description GetCloudInstancesItemFlavorHardwareDescription
    Additional hardware description
    os_type str
    Flavor operating system
    ram float
    RAM size in MiB
    resource_class str
    Flavor resource class for mapping to hardware capacity
    vcpus float
    Virtual CPU count. For bare metal flavors, it's a physical CPU count
    architecture String
    CPU architecture
    flavorId String
    Flavor ID is the same as name
    flavorName String
    Flavor name
    hardwareDescription Property Map
    Additional hardware description
    osType String
    Flavor operating system
    ram Number
    RAM size in MiB
    resourceClass String
    Flavor resource class for mapping to hardware capacity
    vcpus Number
    Virtual CPU count. For bare metal flavors, it's a physical CPU count

    GetCloudInstancesItemFlavorHardwareDescription

    Cpu string
    Human-readable CPU description
    Disk string
    Human-readable disk description
    Gpu string
    Human-readable GPU description
    License string
    If the flavor is licensed, this field contains the license type
    Network string
    Human-readable NIC description
    Ram string
    RAM description
    Vcpus string
    CPU description
    Cpu string
    Human-readable CPU description
    Disk string
    Human-readable disk description
    Gpu string
    Human-readable GPU description
    License string
    If the flavor is licensed, this field contains the license type
    Network string
    Human-readable NIC description
    Ram string
    RAM description
    Vcpus string
    CPU description
    cpu String
    Human-readable CPU description
    disk String
    Human-readable disk description
    gpu String
    Human-readable GPU description
    license String
    If the flavor is licensed, this field contains the license type
    network String
    Human-readable NIC description
    ram String
    RAM description
    vcpus String
    CPU description
    cpu string
    Human-readable CPU description
    disk string
    Human-readable disk description
    gpu string
    Human-readable GPU description
    license string
    If the flavor is licensed, this field contains the license type
    network string
    Human-readable NIC description
    ram string
    RAM description
    vcpus string
    CPU description
    cpu str
    Human-readable CPU description
    disk str
    Human-readable disk description
    gpu str
    Human-readable GPU description
    license str
    If the flavor is licensed, this field contains the license type
    network str
    Human-readable NIC description
    ram str
    RAM description
    vcpus str
    CPU description
    cpu String
    Human-readable CPU description
    disk String
    Human-readable disk description
    gpu String
    Human-readable GPU description
    license String
    If the flavor is licensed, this field contains the license type
    network String
    Human-readable NIC description
    ram String
    RAM description
    vcpus String
    CPU description

    GetCloudInstancesItemInstanceIsolation

    Reason string
    The reason of instance isolation if it is isolated from external internet.
    Reason string
    The reason of instance isolation if it is isolated from external internet.
    reason String
    The reason of instance isolation if it is isolated from external internet.
    reason string
    The reason of instance isolation if it is isolated from external internet.
    reason str
    The reason of instance isolation if it is isolated from external internet.
    reason String
    The reason of instance isolation if it is isolated from external internet.

    GetCloudInstancesItemSecurityGroup

    Name string
    Name.
    Name string
    Name.
    name String
    Name.
    name string
    Name.
    name str
    Name.
    name String
    Name.

    GetCloudInstancesItemTag

    Key string
    Tag key. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
    ReadOnly bool
    If true, the tag is read-only and cannot be modified by the user
    Value string
    Tag value. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
    Key string
    Tag key. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
    ReadOnly bool
    If true, the tag is read-only and cannot be modified by the user
    Value string
    Tag value. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
    key String
    Tag key. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
    readOnly Boolean
    If true, the tag is read-only and cannot be modified by the user
    value String
    Tag value. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
    key string
    Tag key. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
    readOnly boolean
    If true, the tag is read-only and cannot be modified by the user
    value string
    Tag value. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
    key str
    Tag key. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
    read_only bool
    If true, the tag is read-only and cannot be modified by the user
    value str
    Tag value. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
    key String
    Tag key. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
    readOnly Boolean
    If true, the tag is read-only and cannot be modified by the user
    value String
    Tag value. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.

    GetCloudInstancesItemVolume

    DeleteOnTermination bool
    Whether the volume is deleted together with the VM
    Id string
    Volume ID
    DeleteOnTermination bool
    Whether the volume is deleted together with the VM
    Id string
    Volume ID
    deleteOnTermination Boolean
    Whether the volume is deleted together with the VM
    id String
    Volume ID
    deleteOnTermination boolean
    Whether the volume is deleted together with the VM
    id string
    Volume ID
    delete_on_termination bool
    Whether the volume is deleted together with the VM
    id str
    Volume ID
    deleteOnTermination Boolean
    Whether the volume is deleted together with the VM
    id String
    Volume ID

    Package Details

    Repository
    gcore g-core/terraform-provider-gcore
    License
[...]
